# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
import migrate.changeset

def setGoodsitemType(currentType, meta):
    goodsitem = Table('goodsitem', meta, autoload=True)
    stornogoodsitem = Table('stornogoodsitem', meta, autoload=True)
    goodsitem.c.extendetoptions.alter(type=currentType)
    stornogoodsitem.c.extendetoptions.alter(type=currentType)

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Upgrade operations go here. Don't create your own engine; use the engine
    # named 'migrate_engine' imported from migrate.
    setGoodsitemType(Text(), meta)

def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    # Operations to reverse the above upgrade go here.
    setGoodsitemType(String(20000), meta)
