# -*- coding: utf-8 -*-
from sqlalchemy import *
from migrate import *
from sqlalchemy.dialects.mysql import MEDIUMTEXT

def getMessageTable(meta):
    return Table('message', meta, autoload=True)

def upgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getMessageTable(meta)
    table.c.body.alter(type=MEDIUMTEXT)

def downgrade(migrate_engine):
    meta = MetaData(bind=migrate_engine)
    table = getMessageTable(meta)
    table.c.body.alter(type=TEXT)
