from sqlalchemy import *
from migrate import *
from dictionaries.versions import views_helper

def upgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for tbl in views_helper.getTables(meta,'tmcsalerestrict'):
        tbl.c.salerestrictcode.alter(type=String(100))
    views_helper.update_dic_view(migrate_engine, 'tmcsalerestrict')
    
def downgrade(migrate_engine):
    meta = MetaData(bind = migrate_engine)
    for tbl in views_helper.getTables(meta,'tmcsalerestrict'):
        tbl.c.salerestrictcode.alter(type=Integer, autoincrement=True)
    views_helper.update_dic_view(migrate_engine, 'tmcsalerestrict')