from sqlalchemy import Integer
from dictionaries.versions import views_helper

tmc_table_name = 'tmc'
certificate_table_name = 'certificate'
column_name = 'paymentobject'

def upgrade(migrate_engine):
    views_helper.create_column(migrate_engine, tmc_table_name, column_name, column_type = Integer, isBigTable = True)
    views_helper.create_column(migrate_engine, certificate_table_name, column_name, column_type = Integer)

def downgrade(migrate_engine):
    views_helper.drop_column(migrate_engine, tmc_table_name, column_name, column_type = Integer, isBigTable = True)
    views_helper.drop_column(migrate_engine, certificate_table_name, column_name, column_type = Integer)