from sqlalchemy import *
from dictionaries.versions import views_helper

table_name = 'client'
column_lastname = 'lastname'
column_patronymic = 'patronymic'
column_communications = 'communications'


def upgrade(migrate_engine):
    views_helper.create_column(migrate_engine, table_name, column_lastname, String(255), isBigTable=True)
    views_helper.create_column(migrate_engine, table_name, column_patronymic, String(255), isBigTable=True)
    views_helper.create_column(migrate_engine, table_name, column_communications, Integer, isBigTable=True)


def downgrade(migrate_engine):
    views_helper.drop_column(migrate_engine, table_name, column_communications, Integer, isBigTable=True)
    views_helper.drop_column(migrate_engine, table_name, column_patronymic, String(255), isBigTable=True)
    views_helper.drop_column(migrate_engine, table_name, column_lastname, String(255), isBigTable=True)
